/*
 * Copyright 2022 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(dummy_doppler_correction.h)                               */
/* BINDTOOL_HEADER_FILE_HASH(0)                                                    */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satnogs/dummy_doppler_correction.h>

void bind_dummy_doppler_correction(py::module& m)
{

    using dummy_doppler_correction = ::gr::satnogs::dummy_doppler_correction;


    py::class_<dummy_doppler_correction,
               gr::satnogs::doppler_correction,
               std::shared_ptr<dummy_doppler_correction>>(m, "dummy_doppler_correction")

        .def_static("make", &dummy_doppler_correction::make, py::arg("offset") = 0.0);
}
